
<script>
    var requireJS = [];

    loadJS(requireJS, "js/common.js");
    loadJS(requireJS, "js/views/admin-content.js");

</script>

<div class="page-title">
    <div class="title_left">
        <h3 th:text="#{corporateMaterial}">Material Corporativo</small></h3>
    </div>
</div>

<div class="clearfix"></div>

<div class="row">

    <div class="col-md-12 col-sm-12 col-xs-12">
        <div class="x_panel">
            <div class="x_title">

                <div class="search-bar" style="overflow: auto">
                    <div class="col-md-12">
                        <input type="text" th:value="${q}" placeholder="Buscar..." th:attr="placeholder=#{search} + '...'" name="q" id="q"/>
                        <span  th:text="#{records}">Registros:</span>                        
                        <select name="size" id="size">
                            <option th:selected="${size == null || (size != null && size == '20')}" value="20">20</option>
                            <option th:selected="${size != null && size == '50'}" value="50">50</option>
                            <option th:selected="${size != null && size == '100'}" value="100">100</option>
                            <option th:selected="${size != null && size == '500'}" value="500">500</option>
                            <option th:selected="${size != null && size == '1000'}" value="1000">1000</option>
                        </select>
                        &nbsp;
                        <span  th:text="#{state}">Estado:</span>
                        <select name="status" id="status">
                            <option th:selected="${status == null || (status != null && status == 'all')}" value="all" th:text="#{all}">Todos</option>
                            <option th:selected="${status != null && status == 'active'}" value="active"  th:text="#{activated}">Activado</option>
                            <option th:selected="${status != null && status == 'inactive'}" value="inactive"  th:text="#{disabled-}">Desactivado</option>
                        </select>
                        <span  th:text="#{rank}">Rango:</span>
                        <select name="rank" id="rank">
                            <option value="all" th:text="#{all}">Todos</option>
                            <option th:each="item : ${ranks}" 
                                    th:value="${item.name}" 
                                    th:selected="(${item.name} == ${rank})" 
                                    th:text="${item.name}"></option>
                        </select>
                        <span  th:text="#{countryName}">País:</span>
                        <select name="country" id="country">
                            <option th:selected="${country == null || (country != null && country == 'all')}" value="all" th:text="#{all}">Todos</option>
                            <option th:each="c : ${countries}" th:selected="${country == c}" th:value="${c}" th:text="#{${c}}">España</option>
                        </select>
                        <span  th:text="#{type}">Tipo:</span>
                        <select name="type" id="type">
                            <option th:selected="${type == null || (type != null && type == 'all')}" value="all"><span th:text="#{all}"></span></option>
                            <option th:selected="${type != null && type == 'image'}" value="image"><span th:text="#{image}"></span></option>
                            <option th:selected="${type != null && type == 'pdf'}" value="pdf">Pdf</option>
                            <option th:selected="${type != null && type == 'presentation'}" value="presentation"><span th:text="#{presentation}"></span></option>
                            <option th:selected="${type != null && type == 'video'}" value="video"><span th:text="#{video}"></span></option>
                            <option th:selected="${type != null && type == 'text'}" value="text"><span th:text="#{text}"></span></option>
                            <option th:selected="${type != null && type == 'word'}" value="word"><span th:text="#{document}"></span></option>
                            <option th:selected="${type != null && type == 'zip'}" value="zip">Zip</option>
                        </select>

                        <button class="btn btn-info btn-sm" id="search-button"><i class="fa fa-search"></i>&nbsp;<span th:text="#{search}"></span></button>

                        <!--ToolBar-->
                        <ul class="nav navbar-right panel_toolbox">
                            <li class="dropdown">
                                <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false">
                                    <i class="fa fa-gears wings-tool-bar"></i>
                                </a>
                                <ul class="dropdown-menu" role="menu">
                                    <li>
                                        <a class="action-button" id="add-new-content"><i class="fa fa-plus"></i>&nbsp;
                                            <!--                                            <span th:text="#{addMaterial}"></span>-->
                                            Añadir Material
                                        </a>
                                    </li>
                                </ul>
                            </li>
                        </ul>
                    </div>
                </div>
                <div class="clearfix"></div>
            </div>

            <div class="row">

                <div class="col-md-3 col-xs-12 widget widget_tally_box" th:each="item : ${page.content}">
                    <div class="x_panel fixed_height_490">                        
                        <div class="x_title">
                            <ul class="nav navbar-right panel_toolbox" th:if="${is_admin}">
                                <li class="dropdown pull-right">
                                    <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false"><i class="fa fa-wrench"></i></a>
                                    <ul class="dropdown-menu" role="menu">
                                        <li><a th:if="${!item.published}" class="action-button" id="enable-content" th:attr="data-id=${item.id}" href="#"><i class="fa fa-check-circle-o"></i>  
                                                &nbsp;<span th:text="#{activate}"></span></a></li>
                                        <li><a th:if="${item.published}" class="action-button" id="disable-content" th:attr="data-id=${item.id}" href="#"><i class="fa fa-circle-o"></i>  
                                                &nbsp;<span th:text="#{deactivate}"></span></a></li>
                                        <li><a class="action-button" id="edit-content" th:attr="data-id=${item.id}" href="#"><i class="fa fa-pencil"></i>  
                                                &nbsp;<span th:text="#{btnEdit}"></span></a></li>
                                        <li><a title="Eliminar" class="action-button" id="delete-content" th:attr="data-id=${item.id},data-title=${item.title}"><i class="fa fa-close"></i>  
                                                &nbsp;<span th:text="#{btnDelete}"></span></a></li>
                                    </ul>
                                </li>
                            </ul>

                            <i class="fa fa-2x" th:if="${is_admin}" th:classappend="${item.published ? 'fa-check-circle-o green' : 'fa-circle-o red'}"></i>

                            <h4 th:if="${#strings.containsIgnoreCase(item.mimeType,'presentation')}">
                                <i class="fa fa-file-powerpoint-o"></i>&nbsp;&nbsp;<span th:text="#{presentation}">Presentación</span>
                            </h4>
                            <h4 th:if="${#strings.containsIgnoreCase(item.mimeType,'video')}">
                                <i class="fa fa-file-video-o"></i>&nbsp;&nbsp;<span th:text="#{video}">Video</span>
                            </h4>
                            <h4 th:if="${#strings.containsIgnoreCase(item.mimeType,'pdf')}">
                                <i class="fa fa-file-pdf-o"></i><span>  PDF</span>
                            </h4>
                            <h4 th:if="${#strings.containsIgnoreCase(item.mimeType,'image')}">
                                <i class="fa fa-file-image-o"></i>&nbsp;&nbsp;<span th:text="#{image}">Imágen</span>
                            </h4>
                            <h4 th:if="${#strings.containsIgnoreCase(item.mimeType,'word')}">
                                <i class="fa fa-file-word-o"></i>&nbsp;&nbsp;<span th:text="#{document}">Documento</span>
                            </h4>
                            <h4 th:if="${#strings.containsIgnoreCase(item.mimeType,'text')}">
                                <i class="fa fa-file-text-o"></i>&nbsp;&nbsp;<span th:text="#{text}">Texto</span>
                            </h4>
                            <h4 th:if="${#strings.containsIgnoreCase(item.mimeType,'zip')}">
                                <i class="fa fa-file-zip-o"></i><span>  Zip</span>
                            </h4>                           

                            <div class="clearfix"></div>
                        </div>
                        <div class="x_content">
                            <div th:if="${is_admin}">
                                <i class="fa fa-globe" th:title="${item.countryAvailable}"></i>
                                <i class="fa fa-star" th:title="${item.rankAvailable}"></i>
                            </div>

                            <div style="text-align: center; margin-bottom: 17px">
                                <img th:src="'/content-get/' + ${item.hashThumb}" width="250" height="150"/>
                            </div>
                            <h3 class="name_title" th:text="${item.title}">Titulo del contenido</h3>
                            <p><a th:href="'/content-get/' + ${item.hashFile}" download="true"><i class="fa fa-download"></i>&nbsp;<span th:text="#{download}"></span></a></p>
                            <div class="divider"></div>
                            <p th:text="${item.description}">Description</p>
                        </div>
                    </div>
                </div>



            </div>
        </div>
    </div>
    <div th:replace="frags/pagination :: paginationbar"></div>
</div>

